Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), NonPersistent, CreatableItem(False)> _
Public Class RTFDocumentsCreatorHeader
    Inherits BaseObject


    Private _RTFDocumentsCreatorRows As IList(Of RTFDocumentsCreatorRows)
    Public Sub New(ByVal session As Session)
        MyBase.New(session)

    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
        _RTFDocumentsCreatorRows = New List(Of RTFDocumentsCreatorRows)
    End Sub

    Property RTFExportFileType As eRTFExportFileType
    <Size(255)> Property FileName As String
    <ImmediatePostData(True), DataSourceCriteria("IsFolder=True")>
    Property BusinessDirectory As BusinessDirectory
    ReadOnly Property RTFDocumentsCreatorRows As IList(Of RTFDocumentsCreatorRows)
        Get
            Return _RTFDocumentsCreatorRows
        End Get
    End Property
End Class
